#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.21:6001/eureka/
  instance.ipAddress: 192.168.1.212  # 指定此实例的ip

spring:
  application:
    name: upcloud-base-wh-inbound
  #redis配置
  redis:
    cluster:
      nodes: 192.168.1.17:6379,192.168.1.17:6380,192.168.1.18:6379,192.168.1.18:6380,192.168.1.19:6379,192.168.1.19:6380
    password: prolog-redis-0212
  #链路跟踪
  zipkin:
    base-url: http://192.168.0.167:10002
    sender.type: rabbit
    rabbitmq.queue: zipkin #默认配置
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    addresses: 192.168.1.17:5672,192.168.1.18:5672,192.168.1.19:5672
    username: common
    password: prolog-mq-20191229
    virtual-host: /upcloud
    publisher-confirms: true
    listener:
      simple:
        acknowledge-mode: manual # 手动应答
        auto-startup: true
        default-requeue-rejected: false # 不重回队列
        concurrency: 5  # 允许并发数
        max-concurrency: 20
#        prefetch: 1 # 每次只处理一个信息
        retry:
          enabled: true
        prefetch: 300
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.1.11:1521:orcl
    username: upcloud_biz_inbound
    password: upcloud_biz_inbound
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
prolog:
  dao:
    dialect: oracle
    performance: #sql性能监控配置
      enable: true #开启性能监控，默认关闭，建议开发环境开启
      showSql: true #开启打印sql，默认false
      logSlowQuery: true #记录慢sql，默认false
      slowQueryInterval: 3000 #慢sql判断值，单位ms，默认3000ms
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: admin
    password: prolog-mq-20191229
    host: 192.168.1.18
  tx:
    url: "http://192.168.1.21:7000/tx/manager/"
  serarch:
    url: "http://service-data-api-base/search"
  service:
    item: upcloud-base-item
    warehouse: upcloud-base-wh
    chain: upcloud-base-chain
#    oms: oms-std-business
    inventory: upcloud-base-inventory
    control: upcloud-base-wh-control
    strategy: upcloud-base-strategy
    dataExchange: data-exchange  
logging:
  config: classpath:log4j2-dev.xml
  level.root: debug